import logging

from fastapi import Depends, FastAPI, HTTPException, status, responses
from gisaf.models.admin import Basket, BasketNameOnly

from gisaf.models.authentication import User
from gisaf.security import get_current_active_user
from gisaf.admin import manager

logger = logging.getLogger(__name__)

api = FastAPI(
    default_response_class=responses.ORJSONResponse,
)

@api.get('/basket')
async def get_baskets(
    user: User = Depends(get_current_active_user),
    ):
    return [
        BasketNameOnly(name=name)
        for name, basket in (await manager.baskets_for_role(user)).items()
    ]
